Skip to main content
`Ctrl`+`K`

# PetscInfoSetFilterCommSelf

Sets `PetscInfoCommFlag` enum to determine communicator filtering for `PetscInfo()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoSetFilterCommSelf(PetscInfoCommFlag commSelfFlag)

Not Collective

## Input Parameter

- commSelfFlag - Enum value indicating method with which to filter `PetscInfo()` based on the size of the communicator of the object calling `PetscInfo()`

## Options Database Key

- -info [filename][:[~]<list,of,classnames>[:[~]self]] - specify which informative messages are printed, See `PetscInfo()`.

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoGetInfo()`

## Level

advanced

## Location

src/sys/info/verboseinfo.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages